Get returns (current balance minus net deposits)
curl --request GET \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"current": {
"USD": 1234.56,
"EUR": 1135.79
},
"totalDeposited": {
"USD": 1234.56,
"EUR": 1135.79
},
"totalWithdrawn": {
"USD": 1234.56,
"EUR": 1135.79
},
"netDeposited": {
"USD": 1234.56,
"EUR": 1135.79
},
"returns": {
"USD": 1234.56,
"EUR": 1135.79
},
"returnsPct": 123
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Get returns (current balance minus net deposits)
GET
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
returns
Get returns (current balance minus net deposits)
curl --request GET \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/returns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"current": {
"USD": 1234.56,
"EUR": 1135.79
},
"totalDeposited": {
"USD": 1234.56,
"EUR": 1135.79
},
"totalWithdrawn": {
"USD": 1234.56,
"EUR": 1135.79
},
"netDeposited": {
"USD": 1234.56,
"EUR": 1135.79
},
"returns": {
"USD": 1234.56,
"EUR": 1135.79
},
"returnsPct": 123
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Server API key (sk_live_...)
Headers
Optional ISO 4217 currency. Responses always include USD and add this currency when conversion is available.
Pattern:
^[A-Za-z]{3}$Example:
"EUR"
Path Parameters
Account Type slug
Minimum string length:
1RFC 4122 UUID
Example:
"8e9f4d67-51ad-49aa-a502-2f569aaf7399"
Last modified on July 24, 2026
Was this page helpful?